#! /usr/bin/make -f

export PYBUILD_NAME=limits

# Only run tests that don't require docker / docker-compose
export PYBUILD_TEST_ARGS=--noconftest tests/test_limits.py tests/test_limit_granularities.py tests/test_ratelimit_parser.py

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/source build/html

override_dh_compress:
	dh_compress -Xchangelog.html
